import math as mt
#a = 100; b = 200;
a = mt.pi/7; b = mt.pi/5; # you play with these values
Tol = 1E-6
c = (a+b)/2


def y(theta):
  x = 150; # local variable
  g = 9.8  # gravitational constant
  v = 40  # initial velocity
  return x*mt.tan(theta) -(0.5*g)*( (x/(v*mt.cos(theta)))**2 )

y1 = y(a)
y2 = y(b)
print('y1 = ', y1)
print('y2 = ', y2)

its = 0;
while abs(y(c)) > Tol:
  yl = y(a)
  yr = y(c)
  if yl*yr < 0: # check root in left interval?
    b = c # right endpoint = old center
  else:
    a = c # left endpoint = old center
  c = (a+b)/2
  its += 1;
print('root c = %2.10f at iteration %d' %(c,its))
print('|f(x*)| = %2.10f' %abs(y(c)))




# y1 = y(v, theta, a)
# y2 = y(v, theta, b)
# print('y1 = ', y1)
# print('y2 = ', y2)

#checking initial values are OK
#y1 = a*mt.tan(theta) -(0.5*g)*( (a/(v*mt.cos(theta)))**2 )
#y2 = b*mt.tan(theta) -(0.5*g)*( (b/(v*mt.cos(theta)))**2 )
#print('y1 = ', y1)
#print('y2 = ', y2)
